 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Java Time Zones
 *    Copyright (c) 2011 Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.javatimezones.test;

import name.mgplldz.javatimezones.JTZDate;
import name.mgplldz.javatimezones.JTZExceptions.JTZExtractTzException;
import name.mgplldz.javatimezones.JTZExceptions.JTZFormatException;
import name.mgplldz.javatimezones.JTZExceptions.JTZLocaleException;
import name.mgplldz.javatimezones.JTZExceptions.JTZTimeZoneException;
import name.mgplldz.javatimezones.JTZHelp;

public class DateAdd {

    public static void main(String args[])
            throws
            JTZTimeZoneException,
            JTZLocaleException,
            JTZFormatException,
            JTZExtractTzException {
        String date = "2011-10-30 02:59:59:999 mesz";
        String format = "yyyy-MM-dd HH:mm:ss:S z";
        String tz = "gmt";
        String loc = "pl";
        int field = JTZHelp.fMillis();
        int value  = 1;
        System.out.println(JTZDate.dateParse(date, format, tz));
        date = JTZDate.dateAdd(date, format, field, value, tz, loc);
        System.out.println(date);
        System.out.println(JTZDate.dateParse(date, format, tz));
    }
}
