 /* * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    Java Time Zones
 *    Copyright (c) 2011 Marcin Gutman
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *    If you have any questions or comments
 *    please e-mail:
 *
 *    Marcin Gutman: mgutman@op.pl
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * */
package name.mgplldz.javatimezones.test;

import java.text.ParseException;
import name.mgplldz.javatimezones.JTZDate;
import name.mgplldz.javatimezones.JTZExceptions.JTZExtractTzException;
import name.mgplldz.javatimezones.JTZExceptions.JTZFieldException;
import name.mgplldz.javatimezones.JTZExceptions.JTZFormatException;
import name.mgplldz.javatimezones.JTZExceptions.JTZLocaleException;
import name.mgplldz.javatimezones.JTZExceptions.JTZTimeZoneException;
import name.mgplldz.javatimezones.JTZHelp;

public class DateSplit {

    public static void main(String args[])
            throws
            JTZTimeZoneException,
            JTZLocaleException,
            JTZFormatException,
            JTZExtractTzException,
            ParseException,
            JTZFieldException {
        String date = "2011-10-30 02:59:59:999 cest";
        String format = "yyyy-MM-dd HH:mm:ss:S z";
        for(long l :JTZDate.dateSplit(date, format, "", JTZHelp.fHour(),
                JTZHelp.fYear(), JTZHelp.fRawOffset())){
            System.out.print(l + " * ");
        }
        System.out.println();
        System.out.println("///////////////////");
        date = "2011-10-30 02:59:59:999";
        format = "yyyy-MM-dd HH:mm:ss:S";
        for(long l :JTZDate.dateSplit(date, format, "", JTZHelp.fHour(),
                JTZHelp.fYear(), JTZHelp.fRawOffset())){
            System.out.print(l + " * ");
        }
        for(long l :JTZDate.dateSplit(date, format, "", null)){
            System.out.print(l + " * ");
        }
        System.out.println();
        System.out.println("///////////////////");
       
    }
}

